﻿'-----------------------------------------------------------------------
' <copyright file="MainForm.vb" company="Kanazawa-soft-design,LLC.">
'     Copylight(C) 2018 Kanazawa-soft-design,LLC.
' </copyright>
' <author>金澤 宣明</author>
' <summary></summary>
'-----------------------------------------------------------------------

'' -----------------------------------------------------------------------
''' <summary>
''' メインフォーム･ウインドウ.
''' </summary>
Public Class MainForm

	''' <summary>
	''' 読み込むファイルの最大バイト数.
	''' </summary>
	Private Const MaxFileSize As Integer = (1024 * 1024 * 10)

	''' <summary>
	''' ファイル一覧表示するディレクトリの絶対パス.
	''' </summary>
	Private CurrentDir As String = String.Empty

	''' <summary>
	''' ファイル･データ･バッファ.
	''' </summary>
	Private FileBuff As Byte()

	'' -----------------------------------------------------------------------
	''' <summary>
	''' メインフォームの初期処理.
	''' </summary>
	''' <param name="sender">
	''' イベント対象のオブジェクト.
	''' </param>
	''' <param name="e">
	''' イベントパラメータ.
	''' </param>
	Private Sub MainForm_Load( sender As Object, e As EventArgs ) Handles MyBase.Load

		' ディレクトリツリーを初期化する.
		FileView_Init()

		' ファイル一覧を初期化する.
		FileList_Init()

		' バイナリ表示画面を初期化する.
		FileData_Init()

	End Sub

	'' -----------------------------------------------------------------------
	''' <summary>
	''' メニューイベント : 「アプリケーションの終了」.
	''' </summary>
	''' <param name="sender">
	''' イベントを発生させたオブジェクト.
	''' </param>
	''' <param name="e">
	''' イベント･パラメータ.
	''' </param>
	Private Sub MenuExit_Click( sender As Object, e As EventArgs ) Handles アプリケーションの終了XToolStripMenuItem.Click

		' メインフレームをClose()するとアプリケーションが終了する.
		Me.Close()

	End Sub

	'' -----------------------------------------------------------------------
	''' <summary>
	''' メニューイベント : 「バージョン情報」.
	''' </summary>
	''' <param name="sender">
	''' イベントを発生させたオブジェクト.
	''' </param>
	''' <param name="e">
	''' イベント･パラメータ.
	''' </param>
	Private Sub MenuAbout_Click( sender As Object, e As EventArgs ) Handles バージョン情報AToolStripMenuItem.Click

		' バージョン情報ダイアログを生成する.
		Dim f As New AboutDialog()

		' バージョン情報ダイアログを表示する.
		f.ShowDialog( Me )

		' バージョン情報ダイアログを破棄する.
		f.Dispose()

	End Sub

End Class
